<sqtm-core-customisable-dialog
  [titleKey]="data.titleKey"
  [dialogId]="'coverage-report'"
>
  <sqtm-core-dialog-body>
    <div
      class="flex-row body-content m-t-5"
      [attr.data-test-dialog-message]="true"
    >
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="info-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#1890FF'"
      ></i>
      <ul>
        @for (messageKey of data.messageKeys; track messageKey) {
          <li>
            {{ messageKey | translate }}
          </li>
        }
      </ul>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
